{% macro nav_loop(page, level) %}
    {% import _self as macros %}
    {% for p in page.children.visible if not p.home() %}
        {% set active_page = (p.active or p.activeChild) ? 'text-secondary md:active-nav-item ' : '' %}
        {% if p.children.visible.count > 0 %}
            {% if level == 1 %}
                <div @click.away="open = false" x-data="{ open: false }" class="py-2">
                    <button @click="open = !open" class="{{ active_page }} px-4 flex flex-row items-center justify-between w-full text-left bg-transparent md:w-auto md:mt-0 md:ml-4 relative md:px-6 md:py-0 text-lg md:text-sm lg:text-lg md:hover-nav-item tracking-wider">
                        <span>{{ p.menu }}</span><i class="fa-solid fa-chevron-right md:hidden"></i>
                    </button>
                    <div x-show="open"
                         x-transition:enter="transform transition ease-in-out duration-500"
                         x-transition:enter-start="translate-x-full md:-translate-x-full"
                         x-transition:enter-end="translate-x-0 md:translate-x-0"
                         x-transition:leave="transform transition ease-in-out duration-500"
                         x-transition:leave-start="translate-x-0 md:translate-x-0"
                         x-transition:leave-end="translate-x-full md:-translate-x-full"
                         class="absolute right-0 left-0 bg-white w-full origin-top-right z-50 top-0 bottom-0 md:bottom-auto md:top-full border-t border-gray-200 shadow-[0_10px_10px_0_rgba(0,0,0,0.3)]">
                        {% if level == 1 %}
                            <div class="md:container">
                                <!--<div class="grid grid-cols-1 md:grid-cols-2 md:p-4 md:gap-x-16 md:gap-y-4 lg:grid-cols-3 xl:grid-cols-4">-->
                                <div class="flex flex-wrap flex-col md:flex-row md:p-4 justify-center">
                        {% endif %}
                        <button @click="open = !open" class="{{ active_page }} flex flex-row items-center justify-between w-full text-left bg-secondary p-4 md:hidden tracking-wider text-white">
                            <span>{{ 'ETD_MENU_CARDS.BUTTONS.BACK'|t }}</span><i class="fa-solid fa-rotate-left"></i>
                        </button>
                        {{ macros.nav_loop(p, level+1) }}
                        {% if level == 1 %}
                                </div>
                            </div>
                        {% endif %}
                    </div>
                </div>
            {% else %}
                {% include "partials/components/card-menu.html.twig" with {p: p} %}
            {% endif %}
        {% else %}
            {% if level == 2 %}
                {% include "partials/components/card-menu.html.twig" with {p: p} %}
            {% else %}
                <a href="{{ p.url }}" class="{{ active_page }} relative px-4 py-2 md:px-6  text-lg md:text-sm lg:text-lg tracking-wider">
                    {{ p.menu }}
                </a>
            {% endif %}

        {% endif %}
    {% endfor %}
{% endmacro %}

{% macro submenu_loop(page, level) %}
    {% import _self as macros %}
    {% for p in page.children.visible if not p.home() %}
        {% set active_page = (p.active or p.activeChild) ? 'text-secondary ' : '' %}
        <li class="py-2 font-light tracking-wider px-4 md:px-0 md:py-0.5">
            <a href="{{ p.url }}" class="{{ active_page }}">{{ p.menu }}</a>
            {% if p.children.visible.count > 0 %}
                {{ macros.submenu_loop(p, level+1) }}
            {% endif %}
        </li>
    {% endfor %}
{% endmacro %}